
package cn.orionsec.ops.handler.app.machine;

import cn.orionsec.kit.lang.able.SafeCloseable;

public interface IMachineProcessor extends Runnable, SafeCloseable {

    /**
     * 终止
     */
    void terminate();

    /**
     * 输入命令
     *
     * @param command command
     */
    void write(String command);

    /**
     * 跳过
     */
    default void skip() {
    }

}
